# stack-ssh-deploy

[![Build Status](https://drone.autonomic.zone/api/badges/autonomic-cooperative/stack-ssh-deploy/status.svg)](https://drone.autonomic.zone/autonomic-cooperative/stack-ssh-deploy)

Deploy swarm stacks against a SSH based remote docker daemon context.

This is meant to be used as a [Drone plugin](http://plugins.drone.io/).

## Settings

### With defaults

- **compose** (default: `compose.yml`): compose file to use for deploying
- **host** (default: `swarm.autonomic.zone`): Host to deploy to (don't include `ssh://`)
- **port** (default: `222`): SSH port to connect to
- **user** (default: `drone`): System user to connect via SSH with

### Without defaults

- **deploy_key**: SSH private key part for ssh public key authentication
- **stack**: Name of the stack to be deployed

## Example

```yaml
---
kind: pipeline
name: deploy to swarm
steps:
  - name: stack deploy
    image: decentral1se/stack-ssh-deploy:0.0.1
    settings:
      stack: mystack
      deploy_key:
        from_secret: drone_deploy_key
```

## Publishing

The version can be bumped in the [.drone.yml](./.drone.yml) file. Please use [semver](https://semver.org).

If you push a commit to master, the [Drone config](./.drone.yml) will publish to [Docker Hub](https://hub.docker.com/r/decentral1se/stack-ssh-deploy).
